#
# Default Bacula Director Configuration file
#
#  The only thing that MUST be changed is to add one or more
#   file or directory names in the Include directive of the
#   FileSet resource.
#
#  For Bacula release 9.0.3 (08 August 2017) -- redhat (Core)
#
#  You might also want to change the default email address
#   from root to your address.  See the "mail" and "operator"
#   directives in the Messages resource.
#
# Copyright (C) 2000-2017 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#

Director {                            # define myself
  Name = "{{ ansible_fqdn }}"
  DirPort = 9101                # where we listen for UA connections
  QueryFile = "/usr/libexec/bacula/query.sql"
  WorkingDirectory = "/var/spool/bacula"
  PidDirectory = "/var/run"
  Maximum Concurrent Jobs = 20
  Password = "{{ bacula_dir_passwd }}"         # Console password
  Messages = Standard
  DirAddress = {{ ansible_eth1.ipv4.address }}
}

JobDefs {
  Name = "DefaultJob"
  Type = Backup
  Level = Incremental
  Client = "{{ ansible_fqdn }}"
  FileSet = "ETC_set"
  Schedule = "DailyCycle"
  Storage = File
  Messages = Standard
  Pool = MyPool
  SpoolAttributes = yes
  Priority = 10
  Write Bootstrap = "/var/spool/bacula/%c.bsr"
}

Catalog {
  Name = MyCatalog
  dbname = "bacula"; dbuser = "bacula"; dbpassword = "{{ db_passwd }}"
}

Console {
  Name = "{{ ansible_fqdn }}"
  Password = "{{ bacula_mdir_passwd }}"
  CommandACL = status, .status
}

Storage { 
  Name = File 
  Address = "{{ ansible_fqdn }}"
  SDPort = 9103 
  Password = "{{ bacula_sd_passwd }}" 
  Device = FileStorage
  Media Type = File
}

Schedule {
  Name = "DailyCycle"
  Run = Full daily at 00:05
  Run = Differential hourly at 00:05
  Run = Differential hourly at 00:35
  Run = Incremental hourly at 00:05
  Run = Incremental hourly at 00:15
  Run = Incremental hourly at 00:25
  Run = Incremental hourly at 00:35
  Run = Incremental hourly at 00:45
  Run = Incremental hourly at 00:55
}


FileSet {
  Name = "ETC_set"
  Include {
    Options {
      signature = MD5
      compression = GZIP9
    }

    File = /etc

  }
}

Pool {
  Name = MyPool
  Pool Type = Backup
  Label Format = "Local-"
  Recycle = yes                       # Bacula can automatically recycle Volumes
  AutoPrune = yes                     # Prune expired volumes
  Volume Retention = 365 days         # one year
  Maximum Volume Bytes = 50G          # Limit Volume size to something reasonable
  Maximum Volumes = 100               # Limit number of Volumes in Pool
}

{% for hosts in (groups['bacula-clients'] | map('extract', hostvars, ['ansible_fqdn']) | list) %}
Job {
  Name = "{{ hosts }}_etc_backup"
  Type = Backup
  Level = base
  Accurate = yes
  Spool Attributes = yes
  Client = "{{ hosts }}"
  FileSet = "ETC_set"
  Storage = File
  Pool = MyPool
  Messages = Standard
  Schedule = "DailyCycle"
} 

Job {
  Name = "{{ hosts }}_etc_restore"
  Type = Restore 
  Client = "{{ hosts }}"
  FileSet = "ETC_set" 
  Storage = File
  Pool = MyPool
  Messages = Standard 
  Where = /var/lib/bacula-restores
}

Client {
  Name = "{{ hosts }}"
  Address = "{{ hosts }}"
  Catalog = MyCatalog
  Password = "{{ bacula_fd_passwd }}"
}

{% endfor %}



Messages {
  Name = Standard
  mailcommand = "/usr/sbin/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula: %t %e of %c %l\" %r"
  operatorcommand = "/usr/sbin/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula: Intervention needed for %j\" %r"
  mail = root@localhost = all, !skipped
  operator = root@localhost = mount
  console = all, !skipped, !saved
  append = "/var/log/bacula/bacula.log" = all, !skipped
  catalog = all
}


